Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component
Interface AjaxClientBehavior

All Superinterfaces:
  javax.faces.component.behavior.Behavior, javax.faces.component.behavior.ClientBehavior

    public interface AjaxClientBehavior

extends javax.faces.component.behavior.ClientBehavior

Author:
  Anton Belevich interface for our ajax behaviors

Method Summary
`void` | `addAjaxBehaviorListener(javax.faces.event.AjaxBehaviorListener listener)`
`Object` | `getData()`
`Collection<String>` | `getExecute()`
`String` | `getOnbeforedomupdate()`
`String` | `getOnbeforesubmit()`
`String` | `getOnbegin()`
`String` | `getOncomplete()`
`String` | `getOnerror()`
`String` | `getQueueId()`
`Collection<String>` | `getRender()`
`String` | `getStatus()`
`boolean` | `isDisabled()`
`boolean` | `isLimitRender()`
`void` | `removeAjaxBehaviorListener(javax.faces.event.AjaxBehaviorListener listener)`
`void` | `setData(Object data)`
`void` | `setDisabled(boolean disabled)`
`void` | `setExecute(Collection<String> execute)`
`void` | `setLimitRender(boolean limitRender)`
`void` | `setOnbeforedomupdate(String onbeforedomupdate)`
`void` | `setOnbeforesubmit(String onbeforesubmit)`
`void` | `setOnbegin(String onbegin)`
`void` | `setOncomplete(String oncomplete)`
`void` | `setOnerror(String onerror)`
`void` | `setQueueId(String queueId)`
`void` | `setRender(Collection<String> render)`
`void` | `setStatus(String statusId)`

Methods inherited from interface javax.faces.component.behavior.ClientBehavior
`decode, getHints, getScript`

Methods inherited from interface javax.faces.component.behavior.Behavior
`broadcast`

Method Detail

### isLimitRender

    boolean isLimitRender()

### setLimitRender

    void setLimitRender(boolean limitRender)

### setExecute

    void setExecute(Collection<String> execute)

### getExecute

    Collection<String> getExecute()

### setRender

    void setRender(Collection<String> render)

### getRender

    Collection<String> getRender()

### isDisabled

    boolean isDisabled()

### setDisabled

    void setDisabled(boolean disabled)

### setQueueId

    void setQueueId(String queueId)

### getQueueId

    String getQueueId()

### setStatus

    void setStatus(String statusId)

### getStatus

    String getStatus()

### getOnerror

    String getOnerror()

### setOnerror

    void setOnerror(String onerror)

### getOncomplete

    String getOncomplete()

### setOncomplete

    void setOncomplete(String oncomplete)

### getOnbegin

    String getOnbegin()

### setOnbegin

    void setOnbegin(String onbegin)

### getOnbeforedomupdate

    String getOnbeforedomupdate()

### setOnbeforedomupdate

    void setOnbeforedomupdate(String onbeforedomupdate)

### getOnbeforesubmit

    String getOnbeforesubmit()

### setOnbeforesubmit

    void setOnbeforesubmit(String onbeforesubmit)

### getData

    Object getData()

### setData

    void setData(Object data)

### addAjaxBehaviorListener

    void addAjaxBehaviorListener(javax.faces.event.AjaxBehaviorListener listener)

### removeAjaxBehaviorListener

    void removeAjaxBehaviorListener(javax.faces.event.AjaxBehaviorListener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.